{% extends "baseLayout.html" %}

{% load static %}

{% block title %}
Personnages
{% endblock %}

{% block styles %}
    {{ block.super }}
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.3.1/css/all.css"
integrity="sha384-mzrmE5qonljUremFsqc01SB46JvROS7bZs3IO2EmfFsd15uHvIt+Y8vEf7N7fWAU"
crossorigin="anonymous">

{% endblock %}

{% block content %}
<h2>Personnages</h2>
<div class="card bg-secondary">
    <div class="card-body">
      <div class="row" style="row-gap: 1rem">
        {% if personnage_list %}
          {% for personnage in personnage_list %}
            <div class="col-sm-6 col-lg-4 col-xl-3">
              <div class="card bg-light text-dark">
                <h5 class="card-header">
                    personnage n°{{personnage.pk}}
                </h5>
                <div class="card-body">
                  <h5 class="card-text"> {{ personnage.nom }}</h5>
                </div>
                <div class="card-footer d-flex justify-content-end" style="column-gap: 1rem">
                    <a href="{% url 'lesJeux:personnage-detail' personnage.id %}" class="btn btn-secondary"><i class="fas fa-eye"></i></a>
                    <a href="{% url 'lesJeux:personnage_update' personnage.id %}" class="btn btn-primary"><i class="fas fa-pen"></i></a>
                    <a href="{% url 'lesJeux:personnage-delete' personnage.id %}" class="btn btn-danger"><i class="fas fa-trash"></i></a>
                  </div>
              </div>
            </div>
          {% endfor %}
        {% else %}
          <h4 class="container text-warning">Aucun Personnage !</h4>
        {% endif %}
      </div>
    </div>
  </div>
  <p>Pour ajouter un Personnage, Contacter un administrateur</p>
  <a href="{% url 'lesJeux:personnage_create' %}" class="btn btn-success mt-3">(Ajouter un Personnage)</a>
  <a href="{% url 'lesJeux:jeu_list'  %}"  class="btn btn-primary mt-3">Voir les Jeux</a>
  <a href="{% url 'lesJeux:editeur_list'  %}"  class="btn btn-primary mt-3">Voir les Editeurs</a>
     
{% endblock %}